curl --request POST \
--url https://api.birdeye.com/resources/v1/review/businessId/{CompetitorEnterpriseBusinessId} \
--header 'Content-Type: application/json' \
--data '
{
"fromDate": "04/01/2013",
"toDate": "05/3/2015",
"updateFromDate": "04/01/2013",
"updateToDate": "05/3/2015",
"sources": [
"google",
"citysearch"
],
"ratings": [
1,
2,
3,
4,
5,
0
],
"searchStr": "test string",
"subBusinessIds": [
145308764185002,
145308769721320,
145308702026610
],
"statuses": [
"published",
"parked"
]
}
'import requests
url = "https://api.birdeye.com/resources/v1/review/businessId/{CompetitorEnterpriseBusinessId}"
payload = {
"fromDate": "04/01/2013",
"toDate": "05/3/2015",
"updateFromDate": "04/01/2013",
"updateToDate": "05/3/2015",
"sources": ["google", "citysearch"],
"ratings": [1, 2, 3, 4, 5, 0],
"searchStr": "test string",
"subBusinessIds": [145308764185002, 145308769721320, 145308702026610],
"statuses": ["published", "parked"]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
fromDate: '04/01/2013',
toDate: '05/3/2015',
updateFromDate: '04/01/2013',
updateToDate: '05/3/2015',
sources: ['google', 'citysearch'],
ratings: [1, 2, 3, 4, 5, 0],
searchStr: 'test string',
subBusinessIds: [145308764185002, 145308769721320, 145308702026610],
statuses: ['published', 'parked']
})
};
fetch('https://api.birdeye.com/resources/v1/review/businessId/{CompetitorEnterpriseBusinessId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"reviewId": "3947127516862",
"rating": 4,
"comments": "Our water polo team stayed there for 4 nights while in for a tournament. It fit our needs perfectly. The rooms were squeaky clean and comfortable. The housekeeping staff was super efficient and k...",
"title": null,
"reviewer": {
"firstName": null,
"lastName": null,
"nickName": "Jen C.",
"thumbnailUrl": "http://d3cnqzq0ivprch.cloudfront.net/demo/css/images/default-profile.png",
"emailId": null,
"facebookId": null,
"city": "Ann Arbor",
"state": "MI"
},
"reviewUrl": "http://www.citysearch.com/not_recommended_reviews/Knzq0i-RsFqWRaNKNWOQbw",
"sourceType": "citysearch",
"reviewDate": "Aug 01, 2014",
"response": null,
"responseDate": null,
"featured": 1,
"businessId": "755009344",
"uniqueReviewUrl": "https://birdeye.com/websiter-755009344/review/3947127516862",
"businessName": "Websiter",
"businessType": "Location"
},
{
"reviewId": "3947077656849",
"rating": 4,
"comments": "Was scared when I saw that is was more if a motel the hotel, but for one night we would give it a try. The rooms were clean and the desk help was also good. It was a little noise but I fell aslee...",
"title": null,
"reviewer": {
"firstName": null,
"lastName": null,
"nickName": "Stella S.",
"thumbnailUrl": "http://d2xt3xymj142xp.cloudfront.net/reviewer/4b7339a2c966485ab58ceaf7ae49e91e.jpeg",
"emailId": null,
"facebookId": null,
"city": "Diamond Bar",
"state": "CA"
},
"reviewUrl": "http://www.citysearch.com/biz/holiday-inn-express-san-jose-central-city-san-jose?hrid=mJpfRj7QaZzxaaLFRfR48w&nb=1",
"sourceType": "citysearch",
"reviewDate": "Jul 31, 2014",
"response": null,
"responseDate": null,
"featured": 0,
"businessId": "755009344",
"uniqueReviewUrl": "https://birdeye.com/websiter-755009344/review/3942327516353",
"businessName": "Websiter",
"businessType": "Location"
}
]{
"code": 1163,
"message": "Invalid start index value"
}{
"code": 1161,
"message": "Invalid API key"
}{
"code": 1011,
"message": "Business id is invalid"
}{
"code": 89,
"message": "Rate limit exceeded"
}Get Competitor Review
Get Competitor Review returns the list of review(s) of competitors for an account.
Headers
e.g. application/json
e.g. [Required] Partner specific API key provided by Birdeye for data exchange.
Media type of the JSON request body.
Query Parameters
Start index of the reviews.
Number of reviews to query.
True for Competitor Review.
Body
Review date (start) in UTC format.
Review date (end) in UTC format.
Review updated date (start) in UTC format.
Review updated date (end) in UTC format.
Aggregation source name Note: use "our_website" to filter reviews posted on Birdeye platform or use "direct_feedback" for direct feedback.
Review rating Possible values 0,1,2,3,4,5.
String that is contained by review.
BusinessIds under enterprise account.
Review status. Valid values are "published","parked","all". Default is "published" only. Status “published” refers to featured reviews, while “parked” refers to non-featured reviews.
Response
OK
Id of the review.
Overall rating for the review, in case of direct feedback and facebook recommendations it will be 0. For Facebook recommendations, value will be 1, Non recommended review will have value set as 0.
User comment.
Reviewer details
Show child attributes
Show child attributes
Source of the review if it is an aggregated review.
Review url
Review posted date.
Review response text.
Response date.
Whether a review reply is supported via Birdeye API or not.
Customer's Id attributed with this review (if any).
Key value pair of custom field(s) associated with the customer attributed to the review (if any)